# FdoISpatialContextReader Class Reference

`#include <ISpatialContextReader.h>`

Inheritance diagram for FdoISpatialContextReader:

[legend]

List of all members.

## Detailed Description

The FdoISpatialContextReader interface provides forward-only, read-only functionality for enumerating spatial contexts. A reference to an FdoISpatialContextReader is returned from the GetSpatialContexts command. The initial position of the FdoISpatialContextReader interface is prior to the first item. Thus, you must call ReadNext to begin accessing any data.

Definition at line 34 of file ISpatialContextReader.h.

## Public Member Functions
virtual FDO_API void | Dispose ()=0
| Closes the FdoISpatialContextReader object, freeing any resources it may be holding.
virtual FDO_API FdoString * | GetCoordinateSystem ()=0
| Gets the name of the coordinate system of the spatial context currently being read. If the result is a null or empty string, the coordinate system is unknown to the spatial context.
virtual FDO_API FdoString * | GetCoordinateSystemWkt ()=0
| Gets the name of the coordinate system in OpenGIS SRS WKT format of the spatial context currently being read. If the result is an empty string, the coordinate system WKT description is not available.
virtual FDO_API FdoString * | GetDescription ()=0
| Gets the description of the spatial context currently being read.
virtual FDO_API FdoByteArray * | GetExtent ()=0
| Gets the extent of the spatial context currently being read as a byte array in FGF format.
virtual FDO_API FdoSpatialContextExtentType | GetExtentType ()=0
| Gets the extent type of the spatial context currently being read.
virtual FDO_API FdoString * | GetName ()=0
| Gets the name of the spatial context currently being read.
virtual FDO_API const double | GetXYTolerance ()=0
| Gets the tolerance value for XY ordinates of the spatial context currently being read. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
virtual FDO_API const double | GetZTolerance ()=0
| Gets the tolerance value for Z ordinates of the spatial context currently being read. Tolerances are used in some geometric tests, mostly for equality between coordinates. This occurs a frequently in spatial queries, especially with "on boundary" or "just touching" conditions. It is also an objective amount that can be used when formulating step distances for parametric curve interpolation.
virtual FDO_API const bool | IsActive ()=0
| Returns true if the spatial context currently being read is the active spatial context.
virtual FDO_API bool | ReadNext ()=0
| Advances the reader to the next item. The default position of the reader is prior to the first item. Thus, you must call ReadNext to begin accessing any data.

The documentation for this class was generated from the following file:

- ISpatialContextReader.h